Haskellに惑わされ – 4

なかなか難しい局面に直面です

Haskellを走らせるのにどうやら stackというツールを最低でも使用すべきだ、と読んだので  http://www.haskell.org/ghc/ より haskellプログラムをインストールしたのです

インストールは簡単であり、僕の現在の場合、GHCi, version 8.6.3がインストールされました

その後読んだ文章では、どうやら stack というツールをインストールすべきだと書いてあったので、今度は

$brew install stack

として stackをインストールしました そして、訳の分からないまま

$stack setup
$stack path
$stack stack exec ghci

として stackの下で ghciを走らせると何と以下のように

GHCi, version 8.6.4: http://www.haskell.org/ghc/  :? for help
Prelude>

と出ました そうなんです versionが新しいものが走っているのです、では? では? 最初に直接インストールしたものは何処に??? どうやってその無駄な古いものを消せばよいのか???

なんだかさっぱり分からない

投稿者: (KAMAKURA & SAPPORO)Dr_Radialist

Expert Interventional Cardiologist and Amateur Computer Programmer

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です